# Contributing

* In lieu of a formal guideline, please try to mimic the existing code style
* Please make use of the included ESLint and EditorConfig settings
* Add a unit test for new/changed rules
* Format Git commit messages according to [AngularJS conventions][cc]
* The repository is [commitizen-friendly][], please use `git cz` to make it easy format the commit messages properly
* When creating a new rule, please add it to [index.js][], document it (see
  [docs][]) and update the [Rules][] section in the `README`

If in doubt, file an issue first.

Thanks!

[cc]: https://github.com/ajoslin/conventional-changelog/blob/master/conventions/angular.md
[commitizen-friendly]: https://github.com/commitizen/cz-cli
[docs]: docs/rules
[index.js]: index.js
[rules]: README.md#rules
